Skip to main content
GET
Get a video job

Authorizations

Authorization
string
header
required

Your td- key from Tokens

Path Parameters

id
string
required
Example:

"at_0b6f2c1e-6f1d-4a43-9d4e-2a7c1d9e5b10"

Response

The job

id
string
Example:

"at_0b6f2c1e-6f1d-4a43-9d4e-2a7c1d9e5b10"

object
string
Example:

"video.task"

model
string
Example:

"seedance-2.5"

status
string

queued and running: keep polling. completed: download the video. failed or cancelled: not charged. Any other value: keep polling the same ID

Example:

"queued"

created_at
integer
Example:

1792560000

billing_status
enum<string>
Available options:
held,
settled,
refunded
result
object | null
error
object | null